dp12txss: keymgmt_loader.c File Reference

| dp12txss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions | Variables
keymgmt_loader.c File Reference

## Overview

This file contains the implementation for the key management loader module.

## Functions
KEYMGMT_tError | KEYMGMTLDR_Init (void)
| This function initializes the module. More...
void | KEYMGMTLDR_Poll (uint32_t theUpTime)
| This function polls the module. More...
int | KEYMGMTLDR_Debug (int argc, const char *argv[])
| This function implements the "keymgmt loader" debug command. More...

## Variables
const uint64_t | KEYMGMT_TESTKEYS_A1 [41]
| This table defines the table for the A1 set of test keys and ksv. More...
const uint64_t | KEYMGMT_TESTKEYS_A2 [41]
| This table defines the table for the A2 set of test keys and ksv. More...
const uint64_t | KEYMGMT_TESTKEYS_B1 [41]
| This table defines the table for the B1 set of test keys and ksv. More...
const uint64_t | KEYMGMT_TESTKEYS_B2 [41]
| This table defines the table for the B2 set of test keys and ksv. More...

## Function Documentation

int KEYMGMTLDR_Debug | ( | int | argc,
|  | const char * | argv[]
| ) |  |

This function implements the "keymgmt loader" debug command.

Parameters

  argc | the number of command line arguments
  argv | the list of the command line arguments

Returns
  Always returns zero (0)

Note
  None.

KEYMGMT_tError KEYMGMTLDR_Init | ( | void |  | ) |

This function initializes the module.

Returns
  KEYMGMT_ERROR_NONE if successful.

Note
  None.

Referenced by KEYMGMT_Init().

void KEYMGMTLDR_Poll | ( | uint32_t | theUpTime | ) |

This function polls the module.

Parameters

  theUptime | the system up time in seconds

Returns
  void

Note
  None.

Referenced by KEYMGMT_Poll().

## Variable Documentation

const uint64_t KEYMGMT_TESTKEYS_A1[41]

This table defines the table for the A1 set of test keys and ksv.

const uint64_t KEYMGMT_TESTKEYS_A2[41]

This table defines the table for the A2 set of test keys and ksv.

const uint64_t KEYMGMT_TESTKEYS_B1[41]

This table defines the table for the B1 set of test keys and ksv.

const uint64_t KEYMGMT_TESTKEYS_B2[41]

This table defines the table for the B2 set of test keys and ksv.